Skip to main content
DELETE
/
v1
/
channel
/
event
Acknowledge Events
curl --request DELETE \
  --url https://scx-sbx.api.jtl-software.com/v1/channel/event \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "eventIdList": [
    "5cde84164d811d00144581f8"
  ]
}
'
{
  "errorList": [
    {
      "code": "VAL100",
      "message": "Required field sellerId not found",
      "severity": "error",
      "hint": "Check the field `sellerId` — it must be a non-empty string."
    }
  ]
}

Authorizations

Authorization
string
header
required

As a Channel Integrator you will receive a API Refresh Token. With such a Refresh Token you need to request an Access Token with a limited Lifetime (see POST /v1/auth). This Access Token must be provided as a Bearer Token in the Authorization Header with every request.

Body

application/json

List of event IDs to acknowledge as successfully processed.

eventIdList
string[]
Required array length: 1 - 100 elements

Response

No Content